Get product analytics
curl --request GET \
--url https://api.collectpure.com/products/get-product-analytics/v1 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/products/get-product-analytics/v1"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/products/get-product-analytics/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"marketPrice": {
"value": 123,
"change": 123,
"changePercent": 123,
"dataPoints": [
{
"value": 123,
"timestamp": "<string>"
}
]
},
"premium": {
"value": 123,
"change": 123,
"changePercent": 123,
"dataPoints": [
{
"value": 123,
"timestamp": "<string>"
}
]
},
"depth": {
"value": 123,
"change": 123,
"changePercent": 123,
"dataPoints": [
{
"value": 123,
"timestamp": "<string>"
}
]
}
}
}Product API
Get product analytics
Retrieve all product analytics
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
products
/
get-product-analytics
/
v1
Get product analytics
Authorizations
API key for authentication
Query Parameters
The ID of the product to get analytics for
The ID of the variant to get analytics for
The range of days to get analytics for
Minimum string length:
1Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I